interface.h File Reference
`#include <com/lomiri/location/heading.h>`
`#include <com/lomiri/location/position.h>`
`#include <com/lomiri/location/provider.h>`
`#include <com/lomiri/location/update.h>`
`#include <com/lomiri/location/velocity.h>`
`#include <core/property.h>`
Include dependency graph for service/session/interface.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | com::lomiri::location::service::session::Interface
| Models a session with the location service. More...
struct | com::lomiri::location::service::session::Interface::Errors
struct | com::lomiri::location::service::session::Interface::Updates
| Encapsulates updates provided for this session, and the ability to enable/disable updates. More...

## Namespaces

namespace | com
namespace | com::lomiri
namespace | com::lomiri::location
namespace | com::lomiri::location::service
namespace | com::lomiri::location::service::session